Bug 1655198 - Please update to version 4.15 or newer
Summary: Please update to version 4.15 or newer
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: tucnak2
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-01 00:23 UTC by Jaroslav Škarvada
Modified: 2020-02-14 15:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jaroslav Škarvada 2018-12-01 00:23:28 UTC
Description of problem:
There is tucnak-4.15 already. I think this package should be also renamed from tucnak2 to just tucnak.

Version-Release number of selected component (if applicable):
tucnak2-2.31-16

How reproducible:
Always

Steps to Reproduce:
1. Check the version
2.
3.

Actual results:
tucnak2-2.31-16

Expected results:
tucnak-4.15 or newer

Additional info:
I think I could also help with co-maintenance.

Comment 1 Ben Cotton 2019-08-13 16:48:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Jaroslav Škarvada 2020-01-03 17:08:48 UTC
I packaged tucnak-4.18, review request is in the bug 1787619 and the libzia dep, bug 1787618.

Comment 3 Lucian Langa 2020-01-03 22:03:37 UTC
Hi Jaroslav, I'm ok with renaming and co-maintenance, please apply and I'll grant access.

Comment 4 Jaroslav Škarvada 2020-01-06 10:47:25 UTC
(In reply to Lucian Langa from comment #3)
> Hi Jaroslav, I'm ok with renaming and co-maintenance, please apply and I'll
> grant access.

Hi Lucian, that's great, thanks for info. I will close the tucnak review request, but we still need to finish the libzia review request (bug 1787618) which is required by tucnak 4.x.

I didn't know the background (i.e. whether there are still people using the 2.x branch, which to be honest seemed too buggy for me), so I initially choose this new package approach. It also seemed Tucnak upstream used version suffix in the name previously (e.g. tucnak1, tucnak2, ...) and now with the 4.x branch it dropped it. So renaming seems to be the most clean solution.

Comment 5 Jaroslav Škarvada 2020-01-06 10:48:55 UTC
*** Bug 1787619 has been marked as a duplicate of this bug. ***

Comment 6 Jaroslav Škarvada 2020-01-06 11:10:46 UTC
(In reply to Lucian Langa from comment #3)
> Hi Jaroslav, I'm ok with renaming and co-maintenance, please apply and I'll
> grant access.

It seems there is no more the possibility to apply for co-maintenance and that the package owner has to add co-maintainers manually. Could you add me?

Comment 7 Lucian Langa 2020-01-06 13:41:42 UTC
I didn't know that was no longer possible.
I added you via src.fedorapackages on User & Group with admin privs, I hope that's all right.
I wonder what happens nowadays with an orphaned package ? do you have to ask to be added as well ?
Back in the day, when dinosaurs were roaming earth you could add yourself to the package.

Comment 8 Jaroslav Škarvada 2020-01-12 17:55:58 UTC
(In reply to Lucian Langa from comment #7)

libzia got approved, once it will get into stable, I will rename tucnak2 to tucnak and I will rebase it to 4.x.

> I didn't know that was no longer possible.
> I added you via src.fedorapackages on User & Group with admin privs, I hope
> that's all right.

Thanks, LGTM.

> I wonder what happens nowadays with an orphaned package ? do you have to ask
> to be added as well ?

It seems there is an orphan user which will get it assigned:
https://src.fedoraproject.org/user/orphan/projects

When clicking the project from the list, it seems there is a button, which will open releng request ticket for unorphan. It's also possible to open the ticket manually. For packages which are not retired (orphaned for a short time) there maybe a button to directly take it (I am not 100% sure about it).

> Back in the day, when dinosaurs were roaming earth you could add yourself to
> the package.

Yeah, I also remember those times :)

Comment 9 Jaroslav Škarvada 2020-01-13 20:01:22 UTC
Unfortunately, according to Fedora renaming process [1], we need to re-review the package and create new git module for it. So I reopened the previous tucnak review request bug 1787619, now with the added 'provides' and 'obsoletes' tags. When it gets in, I will ask you to retire tucnak2.

[1] https://fedoraproject.org/wiki/Package_Renaming_Process

Comment 10 Jaroslav Škarvada 2020-01-13 20:02:21 UTC
FYI libzia was approved and added to Fedora.

Comment 11 Jaroslav Škarvada 2020-02-14 14:48:18 UTC
Tucnak has been approved and added to Fedora. I added you as an admin to the tucnak package. Once the tucnak get from the testing to the stable we can retire tucnak2 in Fedora. I will let you know or I could retire it myself.

Comment 12 Jaroslav Škarvada 2020-02-14 15:03:20 UTC
I also setup new release monitoring for tucnak.

Comment 13 Lucian Langa 2020-02-14 15:30:02 UTC
Hi Jaroslav,

Thanks for the update and adding me.
Please go ahead and proceed with the retirement when you see fit.
I think there might be a couple of bug reports as well ... appstream and one or two ftbfs if I remember correctly. 
I'm in the process of house moving and I barely have time to handle anything else.
In case of emergency email me directly.
Thanks.


Note You need to log in before you can comment on or make changes to this bug.